[Debian-ha-svn-commits] [SCM] cluster suite Debian packaging branch, master, updated. debian/3.0.2-5

Guido Günther agx at sigxcpu.org
Tue Oct 13 20:57:38 UTC 2009


The following commit has been merged in the master branch:
commit a121c74318da8ebb190da54e4bf544d91004646c
Author: Guido Günther <agx at sigxcpu.org>
Date:   Tue Oct 13 22:26:21 2009 +0200

    Fix dependency based boot
    
    based on a patch by Peter Reinholdtsen
    
    Closes; #541980

diff --git a/debian/cman.postinst b/debian/cman.postinst
new file mode 100644
index 0000000..7272ffd
--- /dev/null
+++ b/debian/cman.postinst
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+set -e
+
+# Those using dependency based boot sequencing with sysv-rc and
+# installing cman before version 2.20081102-1.1 would have wrong
+# runlevel symlinks.  Recover from this.
+if [ "$1" = "configure" ] && dpkg --compare-versions "$2" le "3.0.2-5" \
+   && [ -f /etc/rc2.d/S[0-9][0-9]cman ] && [ ! -f /etc/rcS.d/S[0-9][0-9]cman ]
+then
+    update-rc.d -f cman remove
+fi
+
+#DEBHELPER#
diff --git a/debian/gfs-tools.postinst b/debian/gfs-tools.postinst
new file mode 100644
index 0000000..0ce0792
--- /dev/null
+++ b/debian/gfs-tools.postinst
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+set -e
+
+# Those using dependency based boot sequencing with sysv-rc and
+# installing gfs-tools before version 2.20081102-1.1 would have wrong
+# runlevel symlinks.  Recover from this.
+if [ "$1" = "configure" ] && dpkg --compare-versions "$2" le "3.0.2-5" \
+   && [ -f /etc/rc2.d/S[0-9][0-9]gfs-tools ] && [ ! -f /etc/rcS.d/S[0-9][0-9]gfs-tools ]
+then
+    update-rc.d -f gfs-tools remove
+fi
+
+#DEBHELPER#
diff --git a/debian/gfs2-tools.postinst b/debian/gfs2-tools.postinst
new file mode 100644
index 0000000..a1839cb
--- /dev/null
+++ b/debian/gfs2-tools.postinst
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+set -e
+
+# Those using dependency based boot sequencing with sysv-rc and
+# installing gfs2-tools before version 2.20081102-1.1 would have wrong
+# runlevel symlinks.  Recover from this.
+if [ "$1" = "configure" ] && dpkg --compare-versions "$2" le "3.0.2-5" \
+   && [ -f /etc/rc2.d/S[0-9][0-9]gfs2-tools ] && [ ! -f /etc/rcS.d/S[0-9][0-9]gfs2-tools ]
+then
+    update-rc.d -f gfs2-tools remove
+fi
+
+#DEBHELPER#
diff --git a/debian/patches/0001-add-dlm-kernel-headers.patch b/debian/patches/0001-add-dlm-kernel-headers.patch
index cc8e7e2..0ad2131 100644
--- a/debian/patches/0001-add-dlm-kernel-headers.patch
+++ b/debian/patches/0001-add-dlm-kernel-headers.patch
@@ -1,4 +1,4 @@
-From: =?utf-8?q?Guido=20G=C3=BCnther?= <agx at sigxcpu.org>
+From: =?UTF-8?q?Guido=20G=C3=BCnther?= <agx at sigxcpu.org>
 Date: Tue, 7 Jul 2009 13:08:43 +0200
 Subject: [PATCH] add dlm kernel headers
 
diff --git a/debian/patches/0002-Fix-Default-Start-Stop-for-dependency-based-boot.patch b/debian/patches/0002-Fix-Default-Start-Stop-for-dependency-based-boot.patch
new file mode 100644
index 0000000..e4f9d65
--- /dev/null
+++ b/debian/patches/0002-Fix-Default-Start-Stop-for-dependency-based-boot.patch
@@ -0,0 +1,75 @@
+From: =?UTF-8?q?Guido=20G=C3=BCnther?= <agx at sigxcpu.org>
+Date: Tue, 13 Oct 2009 22:25:09 +0200
+Subject: [PATCH] Fix Default-Start/Stop for dependency based boot
+
+based on a patch by Peter Reinholdtsen
+
+Closes; #541980
+---
+ cman/init.d/cman.in           |    4 ++--
+ gfs/init.d/gfs.in             |    4 ++--
+ gfs2/init.d/gfs2.in           |    4 ++--
+ rgmanager/init.d/rgmanager.in |    4 ++--
+ 4 files changed, 8 insertions(+), 8 deletions(-)
+
+diff --git a/cman/init.d/cman.in b/cman/init.d/cman.in
+index 050bfe7..a5b1b00 100644
+--- a/cman/init.d/cman.in
++++ b/cman/init.d/cman.in
+@@ -10,8 +10,8 @@
+ # Provides:		cman
+ # Required-Start:	$network $time
+ # Required-Stop:	$network $time
+-# Default-Start:
+-# Default-Stop:
++# Default-Start:	S
++# Default-Stop: 	0 6
+ # Short-Description:	Starts and stops cman
+ # Description:		Starts and stops the Cluster Manager set of daemons
+ ### END INIT INFO
+diff --git a/gfs/init.d/gfs.in b/gfs/init.d/gfs.in
+index 31104b4..031b29b 100644
+--- a/gfs/init.d/gfs.in
++++ b/gfs/init.d/gfs.in
+@@ -9,8 +9,8 @@
+ # Provides:		gfs
+ # Required-Start:	$network cman
+ # Required-Stop:	$network cman
+-# Default-Start:
+-# Default-Stop:
++# Default-Start:	S
++# Default-Stop: 	0 6
+ # Short-Description:	mount/unmount gfs filesystems configured in /etc/fstab
+ # Description:		mount/unmount gfs filesystems configured in /etc/fstab
+ ### END INIT INFO
+diff --git a/gfs2/init.d/gfs2.in b/gfs2/init.d/gfs2.in
+index b28a99a..9f994bd 100644
+--- a/gfs2/init.d/gfs2.in
++++ b/gfs2/init.d/gfs2.in
+@@ -9,8 +9,8 @@
+ # Provides:		gfs2
+ # Required-Start:	$network cman
+ # Required-Stop:	$network cman
+-# Default-Start:
+-# Default-Stop:
++# Default-Start:	S
++# Default-Stop: 	0 6
+ # Short-Description:	mount/unmount gfs2 filesystems configured in /etc/fstab
+ # Description:		mount/unmount gfs2 filesystems configured in /etc/fstab
+ ### END INIT INFO
+diff --git a/rgmanager/init.d/rgmanager.in b/rgmanager/init.d/rgmanager.in
+index 37539ba..0f064e7 100644
+--- a/rgmanager/init.d/rgmanager.in
++++ b/rgmanager/init.d/rgmanager.in
+@@ -8,8 +8,8 @@
+ # Provides:		rgmanager
+ # Required-Start:	cman
+ # Required-Stop:	cman
+-# Default-Start:
+-# Default-Stop:
++# Default-Start:	S
++# Default-Stop: 	0 6
+ # Short-Description:	Starts and stops Red Hat Service (resource group) Manager
+ # Description:		Starts and stops Red Hat Service (resource group) Manager
+ ### END INIT INFO
+-- 
diff --git a/debian/patches/series b/debian/patches/series
index e2c0855..8e29619 100644
--- a/debian/patches/series
+++ b/debian/patches/series
@@ -1 +1,2 @@
 0001-add-dlm-kernel-headers.patch
+0002-Fix-Default-Start-Stop-for-dependency-based-boot.patch
diff --git a/debian/rgmanager.postinst b/debian/rgmanager.postinst
new file mode 100644
index 0000000..1446db4
--- /dev/null
+++ b/debian/rgmanager.postinst
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+set -e
+
+# Those using dependency based boot sequencing with sysv-rc and
+# installing rgmanager before version 2.20081102-1.1 would have wrong
+# runlevel symlinks.  Recover from this.
+if [ "$1" = "configure" ] && dpkg --compare-versions "$2" le "3.0.2-5" \
+   && [ -f /etc/rc2.d/S[0-9][0-9]rgmanager ] && [ ! -f /etc/rcS.d/S[0-9][0-9]rgmanager ]
+then
+    update-rc.d -f rgmanager remove
+fi
+
+#DEBHELPER#

-- 
cluster suite Debian packaging



More information about the Debian-ha-svn-commits mailing list